Page MenuHomePhabricator

Handle (complex?) changes to lists correctly
Closed, ResolvedPublic40 Story PointsBUG REPORT

Description

This was initially reported in https://www.mediawiki.org/wiki/Topic:U5si2k4hihxy7dq4,

In the diff found here, it could be seen that I have only removed 3 items of the 4 item list. The corresponding visual diff shows that I've removed every item of the list and added a new item although there's no difference between the corresponding item that has been removed and the one that has been added.
Also, the items inside <code> tags aren't being affected by the red/green background. I'm not sure if it's okay, just noted it.

Related Objects

Event Timeline

Kaartic created this task.Jan 16 2018, 8:58 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 16 2018, 8:58 AM
Elitre added a subscriber: Elitre.Jan 16 2018, 9:52 AM
Jdforrester-WMF set the point value for this task to 40.Mar 6 2018, 2:23 PM

Change 428259 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[VisualEditor/VisualEditor@master] WIP Separate out list diffs

https://gerrit.wikimedia.org/r/428259

Minimal test case appears to be removing an item form the top AND bottom of a list:

  • foo
  • bar
  • baz

->

  • bar

Change 428259 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Separate out list, leaf and tree diffs

https://gerrit.wikimedia.org/r/428259

Esanders edited projects, added VisualEditor (Current work); removed VisualEditor.
Esanders moved this task from Incoming to Code review on the VisualEditor (Current work) board.

Change 439624 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (8231b4d88)

https://gerrit.wikimedia.org/r/439624

Change 439624 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (8231b4d88)

https://gerrit.wikimedia.org/r/439624

Deskana closed this task as Resolved.Jun 18 2018, 3:43 PM
Deskana triaged this task as Normal priority.